 PhotoQt 1.2 - Copyright (C) 2015, Lukas Spies (Lukas@photoqt.org),
 License: GPLv2 (or later) -- http://photoqt.org
-------------------------------------------------------------------------------

 PhotoQt is a fast and highly configurable image viewer with a simple and nice
 interface.


 DEPENDENCIES
--------------
- Qt >= 5.1 (5.2 or higher recommended)
- CMake (needed for building PhotoQt)

> Make sure that you have the needed Qt modules installed: image formats,
  multimedia, svg


> Dependencies, that are needed by default, but can be disabled via CMake
   (see INSTALL section):
- Exiv2
- GraphicsMagick


> NOTE
 On some systems you also need the *-dev package for compiling (e.g. exiv2-dev
 - names can vary slightly depending on your distribution). These files usually
 can be uninstalled again after compilation is done.
> NOTE
 Even though GraphicsMagick initially started as a fork of ImageMagick (in 2002),
 trying to build PhotoQt with ImageMagick wont work!


 OPTIONAL DEPENDENCIES
-----------------------
- XCFtools - https://github.com/j-jorge/xcftools
- libqpsd - https://github.com/Code-ReaQtor/libqpsd

> These dependencies are not needed for compiling PhotoQt. However, if they are
  installed, you can set PhotoQt (via settings) to make use of them for improved
  XCF/PSD support.


 INSTALL
---------

1) cd build/

2) cmake ..  # Note: This installs PhotoQt by default into /usr/local/{bin,share}

   # To install PhotoQt into another prefix e.g. /usr/{bin,share}, run:
   cmake -DCMAKE_INSTALL_PREFIX=/usr ..

   # PhotoQt makes use of the libraries Exiv2 and GraphicsMagick ("gm").
   # You can en-/disable them with the following options:
   # (if you don't specify anything, it asumes the default values)
   -DEXIV2=OFF			# default: ON
   -DGM=OFF			# default: ON
   # You can combine them in any way you want.
   # The following option equates to setting the two above options to OFF
   -DQTONLY=ON			# default: OFF
   # Note: -DQTONLY overwrites the two individual options above!

   # If CMake aborts with the error that it can't find Exiv2 and/or GraphicsMagick,
   # but you're certain that the header files are available, then you can specify
   # their location via the following environment variables:
     MAGICK_LOCATION
     EXIV2_LOCATION

3) make  # This creates an executeable photoqt binary located in the ./build/ folder

4) (as root or sudo) make install
			# This (i) installs the desktop file to share/applications/
			       (ii) moves some icons to icons/hicolor/
			       (iii) moves the binary to bin/



 UNINSTALL
-----------
 If you want to uninstall PhotoQt, simply run "make uninstall" as root. This removes
 the desktop file (via "xdg-desktop-menu uninstall"), the icons and the binary file.
 Alternatively you can simply remove all the files manually, that should yield the
 same result.